### Class

# Gcr CertificateExtension

unstable since: 4.3.90

#### Description [src]

    class Gcr.CertificateExtension : GObject.Object
    {
      /* No available fields */
    }

An object that describes a certificate extension.

By default, a certificate extension exposes 3 things: an OID, whether it’s marked as critical, and the raw value.

For known extensions, gcr tries to provide subclasses with the appropriate API.

See also `gcr_certificate_list_extensions()`.

Available since: 4.3.90

#### Ancestors

- GObject

#### Descendants

- GcrCertificateExtensionAuthorityInfoAccess
- GcrCertificateExtensionAuthorityKeyIdentifier
- GcrCertificateExtensionBasicConstraints
- GcrCertificateExtensionCertificatePolicies
- GcrCertificateExtensionCrlDistributionPoints
- GcrCertificateExtensionExtendedKeyUsage
- GcrCertificateExtensionKeyUsage
- GcrCertificateExtensionSubjectAltName
- GcrCertificateExtensionSubjectKeyIdentifier

#### Instance methods

###### gcr_certificate_extension_get_description

Returns a user-displayable description of the OID that identifies the extension, if known.

unstable since: 4.3.90

###### gcr_certificate_extension_get_oid

Returns the OID that identifies the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_get_value

Returns the raw value in bytes of the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_is_critical

Returns wether the certificate extension is marked critical.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gcr.CertificateExtension:critical

Whether this certificate is critical.

###### Gcr.CertificateExtension:oid

The Object Identifier (OID) that identifies the extension.

###### Gcr.CertificateExtension:value

The raw value in bytes of the extension.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrCertificateExtensionClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.